﻿''' <summary>
''' Sample Interface for a WCF Service that receives case notification messages.
''' </summary>
''' <remarks>
'''</remarks>
<ServiceContract(Namespace:="http://your.namespace"), XmlSerializerFormat(Style:=OperationFormatStyle.Document, Use:=OperationFormatUse.Literal)>
Public Interface ICaseNotificationReceiverService_3_6
    ''' <summary>
    ''' Interface for method to receive a case notification message.
    ''' The method name can be anything.   The Action value has to match value for the service.
    ''' This method receives the message as a CaseNotification object.   
    ''' Note: the BondNotificationReceiverService receives its messages as XML which could also be an option for this service.
    ''' </summary>
    ''' <param name="CaseNotificationMessage"></param>
    ''' <returns></returns>
    ''' <remarks></remarks>
    <OperationContract(Action:="http://www.courts.state.mn.us/IS/02/CaseNotification", ReplyAction:="http://www.courts.state.mn.us/IS/02/CaseNotificationResponse")>
    Function ReceiveCaseNotification(ByVal CaseNotificationMessage As CaseNotificationMessage_3_6) As CaseNotificationReceivedMessage_3_6
End Interface


''' <summary>
''' CaseNotification message definition.   The message classes in the Msc.Integration.CourtXML namespace are generated from the schema using xsd.exe.
''' </summary>
''' <remarks></remarks>
<MessageContract(IsWrapped:=False)> _
Public Class CaseNotificationMessage_3_6
    <MessageBodyMember(Namespace:="http://www.courts.state.mn.us/CourtXML/3", Name:="CaseNotification")> Public CaseNotification As Msc.Integration.CourtXML.CaseNotification_3_6.CaseNotification
End Class

''' <summary>
''' Response message definition.
''' </summary>
''' <remarks></remarks>
<MessageContract(IsWrapped:=False)> _
Public Class CaseNotificationReceivedMessage_3_6
    <MessageBodyMember(Namespace:="http://www.courts.state.mn.us/IS/02/", Name:="MessageReceived")> Public MessageReceived As Boolean
End Class

''' <summary>
''' CaseNotification service Fault message definition.   
''' </summary>
''' <remarks></remarks>
<MessageContract(IsWrapped:=False)> _
Public Class CaseNotificationFaultMessage_3_3
    <MessageBodyMember(Namespace:="http://www.courts.state.mn.us/CourtXML/3", Name:="Fault")> Public Fault As System.Xml.XmlElement
End Class